com.fasterxml.jackson.datatype.joda.ser

## Class JacksonJodaFormat

- java.lang.Object
- - com.fasterxml.jackson.datatype.joda.ser.JacksonJodaFormat

    public class JacksonJodaFormat
    extends Object

Simple container used to encapsulate (some of) gory details of customizations related to date/time formatting.

### Field Summary

Fields
`protected boolean` `_explicitLocale`
`protected boolean` `_explicitTimezone`
`protected org.joda.time.format.DateTimeFormatter` `_formatter`
`protected TimeZone` `_jdkTimezone`
`protected Locale` `_locale`
`protected Boolean` `_useTimestamp` Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.
`protected static Locale` `DEFAULT_LOCALE`

### Constructor Summary

Constructors
Constructor and Description
`JacksonJodaFormat(org.joda.time.format.DateTimeFormatter defaultFormatter)`
`JacksonJodaFormat(JacksonJodaFormat base, Boolean useTimestamp)`
`JacksonJodaFormat(JacksonJodaFormat base, org.joda.time.format.DateTimeFormatter formatter)`
`JacksonJodaFormat(JacksonJodaFormat base, Locale locale)`
`JacksonJodaFormat(JacksonJodaFormat base, TimeZone jdkTimezone)`

### Method Summary

Methods
`protected static boolean` `_isStyle(String formatStr)`
`org.joda.time.format.DateTimeFormatter` `createFormatter(com.fasterxml.jackson.databind.SerializerProvider provider)`
`boolean` `useTimestamp(com.fasterxml.jackson.databind.SerializerProvider provider)`
`protected JacksonJodaFormat` `withFormat(String format)`
`protected JacksonJodaFormat` `withLocale(Locale locale)`
`protected JacksonJodaFormat` `withTimeZone(TimeZone tz)`
`protected JacksonJodaFormat` `withUseTimestamp(Boolean useTimestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_LOCALE

    protected static final Locale DEFAULT_LOCALE

#### _formatter

    protected final org.joda.time.format.DateTimeFormatter _formatter

#### _useTimestamp

    protected final Boolean _useTimestamp

Flag that indicates that serialization must be done as the Java timestamp, regardless of other settings.

#### _jdkTimezone

    protected final TimeZone _jdkTimezone

#### _explicitTimezone

    protected final boolean _explicitTimezone

#### _locale

    protected final Locale _locale

#### _explicitLocale

    protected final boolean _explicitLocale

### Constructor Detail

#### JacksonJodaFormat

    public JacksonJodaFormat(org.joda.time.format.DateTimeFormatter defaultFormatter)

#### JacksonJodaFormat

    public JacksonJodaFormat(JacksonJodaFormat base,
                     Boolean useTimestamp)

#### JacksonJodaFormat

    public JacksonJodaFormat(JacksonJodaFormat base,
                     org.joda.time.format.DateTimeFormatter formatter)

#### JacksonJodaFormat

    public JacksonJodaFormat(JacksonJodaFormat base,
                     TimeZone jdkTimezone)

#### JacksonJodaFormat

    public JacksonJodaFormat(JacksonJodaFormat base,
                     Locale locale)

### Method Detail

#### withUseTimestamp

    protected JacksonJodaFormat withUseTimestamp(Boolean useTimestamp)

#### withFormat

    protected JacksonJodaFormat withFormat(String format)

#### withTimeZone

    protected JacksonJodaFormat withTimeZone(TimeZone tz)

#### withLocale

    protected JacksonJodaFormat withLocale(Locale locale)

#### useTimestamp

    public boolean useTimestamp(com.fasterxml.jackson.databind.SerializerProvider provider)

#### createFormatter

    public org.joda.time.format.DateTimeFormatter createFormatter(com.fasterxml.jackson.databind.SerializerProvider provider)

#### _isStyle

    protected static boolean _isStyle(String formatStr)